SYSTEM REQUIREMENTS MAC

  • Intel Mac
  • OS X 10.8 or higher
  • Broadband connection